MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007234ardourbugspublic2017-02-12 07:472017-02-26 01:51
ReporterLost_Highway 
Assigned Tonmains 
PriorityimmediateSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSUbuntu StudioOS Version16.04 LTS
Product Version 
Target VersionFixed in Version5.X git (version in description) 
Summary0007234: A5.6: midi region weirdness
DescriptionUsing Ardour 5.6 downloaded from the Ardour site, I'm experiencing a lot of weird behaviour with midi regions that didn't occur with 5.5.

With snap set to grid or magnetic and the units set to beats, clicking/holding on a midi region to move it causes the region to jump a long way (maybe as many as a dozen beats) forward or backward. Trying to drag the cursor one way or the other to move a region results in the region flickering back and forth rapidly between the expected position where the cursor is and a position either many beats before or many beats after.

Sometimes when dragging a region, the midi events with the region move e.g. so the notes near the beginning of the region are no longer there and later notes are near the beginning of the region. Sometimes when this happens the notes don't disappear completely but now exist outside the rectangle representing the region.

I've done a few screenshots which hopefully will illustrate this. First shows the regions in place. The second shows the effect of dragging a region to the left by about seven /8 beats -- the region jumps much earlier on the timeline. The third screen shot shows another drag of the region, which has caused midi events to shift within the region, some of which have shifted outside the region box entirely.

Is it only possible to upload a single file?
TagsNo tags attached.
Attached Filespng file icon Screenshot_3.png [^] (153,980 bytes) 2017-02-12 07:47


? file icon 5.6-midi-notes-sequence.tar.xz [^] (6,292 bytes) 2017-02-13 02:50

- Relationships

-  Notes
(0019377)
timbyr (developer)
2017-02-13 02:50

I can reproduce this issue with the officical 5.6 build (linux, 64bit). Does not occur with 5.5. I've attached a simple Session that can be used to reproduce the issue. The issue seems related to the Meter change and does not occur if it is removed.
(0019378)
nick_m (reporter)
2017-02-13 05:19

thanks for the report.
this should have been fixed by commit 50fc9e0d0f478.
(0019379)
timbyr (developer)
2017-02-13 05:25

Seems to be fixed here with master@5.6.4
(0019439)
timbyr (developer)
2017-02-26 01:51

As there is no further negative feedback I'm marking this issue as resolved.

- Issue History
Date Modified Username Field Change
2017-02-12 07:47 Lost_Highway New Issue
2017-02-12 07:47 Lost_Highway File Added: Screenshot_3.png
2017-02-13 02:50 timbyr Note Added: 0019377
2017-02-13 02:50 timbyr Assigned To => nmains
2017-02-13 02:50 timbyr Status new => confirmed
2017-02-13 02:50 timbyr File Added: 5.6-midi-notes-sequence.tar.xz
2017-02-13 05:19 nick_m Note Added: 0019378
2017-02-13 05:25 timbyr Note Added: 0019379
2017-02-26 01:51 timbyr Note Added: 0019439
2017-02-26 01:51 timbyr Status confirmed => resolved
2017-02-26 01:51 timbyr Fixed in Version => 5.X git (version in description)
2017-02-26 01:51 timbyr Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker